# libpng 1.6.58 → libpng16.a (C, autotools). Lib base imágenes: png crates, cola gráfica.
# De-Alpinizada: compiler=gcc, configure-split, contra zlib del corpus, estático.
name    = "libpng"
version = "1.6.58"
[source]
tarball = "https://downloads.sourceforge.net/libpng/libpng-1.6.58.tar.gz"
sha256  = "8c9b05b675ca7301a458df2c2e46f26e1d41ff36b8863f8c33530bc58c2e6225"
[build]
compiler = "gcc"
target   = "x86_64-linux-musl"
link     = "static"
flags    = []
[build.phases]
configure = './configure --build=$CBUILD --host=$CHOST --prefix=/usr --disable-shared --enable-static CPPFLAGS=-I/usr/include LDFLAGS=-L/usr/lib'
compile   = 'make'
install   = 'make DESTDIR=/out install'
[deps]
build = ["zlib"]
